// CardIDDlg.cpp : implementation file
//

#include "stdafx.h"
#include "1210dma.h"
#include "CardIDDlg.h"

#ifndef INVALID_CARD_ID
#define INVALID_CARD_ID				  0xFFFF
#endif

// CCardIDDlg dialog

IMPLEMENT_DYNAMIC(CCardIDDlg, CDialog)

CCardIDDlg::CCardIDDlg( U16 wModuleNum, USBDAQ_DEVICE AvailModules[], CWnd* pParent /*=NULL*/)
	: CDialog(CCardIDDlg::IDD, pParent)
{
	int vi;

	m_wModuleNum = wModuleNum;
	m_pAvailModules = AvailModules;

	for( vi=0; vi<MAX_USB_DEVICE ; vi++ )
		m_CardID[vi] = INVALID_CARD_ID;
}

CCardIDDlg::~CCardIDDlg()
{
}

void CCardIDDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_COMBO_CARDID, m_cbCardID);
}


BEGIN_MESSAGE_MAP(CCardIDDlg, CDialog)
//	ON_CBN_SELCHANGE(IDC_COMBO_CARDID, &CCardIDDlg::OnCbnSelchangeComboCardid)
ON_BN_CLICKED(IDOK, &CCardIDDlg::OnBnClickedOk)
//ON_WM_CTLCOLOR()
END_MESSAGE_MAP()


// CCardIDDlg message handlers


void CCardIDDlg::OnBnClickedOk()
{
	// TODO: Add your control notification handler code here

//	UpdateData(TRUE);
	int nCurSel;

	nCurSel = m_cbCardID.GetCurSel();
	m_nCardId = m_CardID[nCurSel];

	OnOK();
}

BOOL CCardIDDlg::OnInitDialog()
{
	int i, vi;
	CString strTemp;

	CDialog::OnInitDialog();

	// TODO:  Add extra initialization here
	for( i = 0, vi = 0; i < m_wModuleNum; i++ )
	{
		if( m_pAvailModules[i].wModuleType == USB_1210 )
		{
			m_CardID[vi] = m_pAvailModules[i].wCardID;
			strTemp.Format( TEXT("%d"), m_CardID[vi]);
			m_cbCardID.AddString( strTemp );

			vi ++;
		}

	}

	m_nCardId = m_CardID[0];
	m_cbCardID.SetCurSel( 0 );

	
	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

// the function to get the selected CardID
int CCardIDDlg::GetCardID(void)
{
	return m_nCardId;
}
