
// 1210dmaDlg.h : header file
#pragma once
#include "afxcmn.h"
#include "afxwin.h"

#include "UsbDask.h"

#ifndef MAX_CHAN_1210
#define MAX_CHAN_1210	4
#endif

// C1210dmaDlg dialog
class C1210dmaDlg : public CDialog
{
// Construction
public:
	C1210dmaDlg(I16 hCard, CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_1210DMA_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;
	UINT_PTR m_nTimer;
	I16 m_hCard;
	double m_fSampleRate;
	U16 m_wSelectedChans;
	HANDLE m_hMem;
	U16 *m_pAIBuf;
	U16  m_wRange;
	int  m_oldY[MAX_CHAN_1210];
	int  m_oldX[MAX_CHAN_1210];
	U16  m_wChan[MAX_CHAN_1210];
	U16  m_wGain[MAX_CHAN_1210];

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

public:
	WORD max_val;
	WORD min_val;
	double max_range;
	double min_range;
	int n_PlotWidth; 
	int n_PlotHeight;
	int y_divider;
	int x_divider;
	int m_DisplayScale;
	HBRUSH OnBrush;
	HBRUSH OffBrush;
	CPen RedPen;
	CPen YellowPen;
	CPen BluePen;
	CPen LTGreenPen;
	void redraw_display_area(void);
	afx_msg void OnDestroy();
	CComboBox m_cbScanChans;
	CComboBox m_cbADCGain;
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnScanChanSelchange();
	afx_msg void OnStart();
	int display_buffer_data(U16* pBuf);
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnBnClickedBtStop();
	afx_msg void OnComboGainSelchange();
};
