#pragma once
#include "afxwin.h"

#include "UsbDask.h"

// CCardIDDlg dialog

class CCardIDDlg : public CDialog
{
	DECLARE_DYNAMIC(CCardIDDlg)

public:
	CCardIDDlg(U16 wModuleNum, USBDAQ_DEVICE AvailModules[], CWnd* pParent = NULL);   // standard constructor
	virtual ~CCardIDDlg();

// Dialog Data
	enum { IDD = IDD_CARDID_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedOk();
	// the setting of CardID ComboBox
	int m_nCardId;
	U16 m_CardType;
	U16 m_wModuleNum;
	// the CardID based on ComboBox Index
	int m_CardID[MAX_USB_DEVICE];
	USBDAQ_DEVICE* m_pAvailModules;
	// the control of CardID ComboBox
	CComboBox m_cbCardID;
	// the function to get the selected CardID
	int GetCardID(void);
};
